std::time_put(3)

NAME
std::time_put -

SYNOPSIS

Inherits locale::facet.

Inherited by time_put_byname.

Detailed Description

  template<typename _CharT, typename _OutIter> class std::time_put< _CharT, _OutIter >
This facet encapsulates the code to format and output dates and times according to formats used by strftime().

The time_put template uses protected virtual functions to provide the actual results. The public accessors forward the call to the virtual functions. These virtual functions are hooks for developers to implement the behavior they require from the time_put facet.

Definition at line 3323 of file locale_facets.h.

  Public Types

typedef _CharT char_type
typedef _OutIter iter_type

  Public Member Functions
iter_type put (iter_type __s, ios_base &__io, char_type __fill, const tm *__tm, char __format, char __mod=0) const
iter_type put (iter_type __s, ios_base &__io, char_type __fill, const tm *__tm, const _CharT *__beg, const _CharT *__end) const
time_put (size_t __refs=0)

  Static Public Attributes
static locale::id id

  Protected Member Functions
virtual iter_type do_put (iter_type __s, ios_base &__io, char_type __fill, const tm *__tm, char __format, char __mod) const
virtual ~time_put ()

  Static Protected Member Functions
static __c_locale _S_clone_c_locale (__c_locale &__cloc)
static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
static void _S_destroy_c_locale (__c_locale &__cloc)
static __c_locale _S_get_c_locale ()
static const char * _S_get_c_name ()

  Friends
class locale::_Impl

Member Typedef Documentation

  typedef _CharT char_type

Public typedefs.

Reimplemented in time_put_byname.

Definition at line 3329 of file locale_facets.h.

  typedef _OutIter iter_type

Public typedefs.

Reimplemented in time_put_byname.

Definition at line 3330 of file locale_facets.h.

Constructor & Destructor Documentation

  time_put (size_t __refs = 0) [inline, explicit]

Constructor performs initialization.

This is the constructor provided by the standard.

Parameters:
    refs Passed to the base facet class.

Definition at line 3344 of file locale_facets.h.

  virtual ~time_put () [inline, protected, virtual]

Destructor.

Definition at line 3390 of file locale_facets.h.

Member Function Documentation

  _OutIter do_put (iter_type __s, ios_base & __io, char_type __fill, const tm * __tm, char __format, char __mod) const [protected, virtual]

Format and output a time or date.

This function formats the data in struct tm according to the provided format char and optional modifier. This function is a hook for derived classes to change the value returned.

See also:
    put() for more details.

Parameters:
    s The stream to write to.
    io Source of locale.
    fill char_type to use for padding.
    tm Struct tm with date and time info to format.
    format Format char.
    mod Optional modifier char.

Returns:
    Iterator after writing.

Definition at line 2251 of file locale_facets.tcc.

References std::__write(), ios_base::_M_getloc(), and __ctype_abstract_base::widen().

Referenced by time_put::put().

  iter_type put (iter_type __s, ios_base & __io, char_type __fill, const tm * __tm, char __format, char __mod = 0) const [inline]

Format and output a time or date.

This function formats the data in struct tm according to the provided format char and optional modifier. The format and modifier are interpreted as by strftime(). It does so by returning time_put::do_put().

Parameters:
    s The stream to write to.
    io Source of locale.
    fill char_type to use for padding.
    tm Struct tm with date and time info to format.
    format Format char.
    mod Optional modifier char.

Returns:
    Iterator after writing.

Definition at line 3383 of file locale_facets.h.

References time_put::do_put().

  _OutIter put (iter_type __s, ios_base & __io, char_type __fill, const tm * __tm, const _CharT * __beg, const _CharT * __end) const

Format and output a time or date.

This function formats the data in struct tm according to the provided format string. The format string is interpreted as by strftime().

Parameters:
    s The stream to write to.
    io Source of locale.
    fill char_type to use for padding.
    tm Struct tm with date and time info to format.
    beg Start of format string.
    end End of format string.

Returns:
    Iterator after writing.

Definition at line 2216 of file locale_facets.tcc.

References ios_base::_M_getloc(), time_put::do_put(), and __ctype_abstract_base::narrow().

Member Data Documentation

  locale::id id [static]

Numpunct facet id.

Definition at line 3334 of file locale_facets.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.